<template>
  <div class="account-confirm">
    <div class="account-confirm__title">
      {{ condition }}
    </div>
    <div class="account-confirm__row">
      <cardPath />
    </div>
    <div class="account-confirm__row">
      <cargo-type />
    </div>
    <div class="account-confirm__row">
      <transport />
    </div>
    <div class="account-confirm__row">
      <additional />
    </div>
  </div>
</template>

<script>
import cardPath from '../../components/path';
import cargoType from  '../../components/cargoType';
import transport from '../../components/transport';
import additional from '../../components/additional';
import STEPS from '@/constants/steps.js';
import {mapGetters} from "vuex";

export default {
  components: { cardPath, cargoType, transport, additional },
  data() {
    return {
      STEP: STEPS
    }
  },
  computed: {
    ...mapGetters({
      order: 'account/order',
    }),
    condition() {
      if (this.order.status === this.STEP.ACTIVE) {
        return 'Подтвердите условия перевозки'
      }
      return 'Условия перевозки'
    }
  }
}
</script>

<style lang="scss" scoped>
  .account-confirm {
    padding: 15px 0 0 0;
    text-align: left;

    &__title {
      font-weight: bold;
      font-size: 16px;
      line-height: 24px;
      letter-spacing: 0.4px;
      color: $color-text-base;
    }

    &__route {
      margin-top: 20px;
    }

    &__row {
      margin-top: 20px;
    }
  }
</style>